Table Of Contents

Buzzient Enterprise Post API v1.0

The Post API is a RESTful API for retrieving posts ordered and filtered by specific criteria. It also allows for engaging with other posts. This API provides everything needed for displaying and for responding to Buzzient’s social media data.

Last Updated

Last updates were made on 6/6/2012

Disclaimer

The documentation here is provided as an overview and set of guidelines for integration with the Buzzient application. The Posts API is constantly under development and the field names, data types and endpoint URLs are subject to change.

All information provided within is privileged and confidential.

Buzzient Inc. Copyright 2012

Authentication

Authentication for all API calls occurs by passing a Buzzient apikey to the end point. An apikey is mapped to a user within the Buzzient application and will return data based on the users particular setup and permissions. A Buzzient apikey is a 64-character string.

Output Formats

The API output is available in both JSON and XML. By default we output JSON responses. To receive responses in XML pass application/xml in the accept header.

JSON Response Output

Example JSON Request using CURL:

curl -X GET "http://customer.buzzient.com/api/v1/channels?apikey=<YOUR KEY>"

Example JSON Request using jQuery:

$.ajax({
        'url':'/api/v1/channels',
        'type':'GET',
        'datatype': 'json',
        'headers': {'Accept': 'application/json'},
        'data':{
                'apikey':<YOUR KEY>,
                },
        'success':some_callback
        });

JSON Response:

{
    "channels": [
        {
            "icon": "https://graph.facebook.com/312661226/picture",
            "id": 701,
            "is_valid": true,
            "name": "Daily SAT Vocab",
            "native_id": "312661226",
            "type": 23
        },
        {
            "icon": "https://graph.facebook.com/693789941/picture",
            "id": 6381,
            "is_valid": true,
            "name": "Jim Smith",
            "native_id": "693789941",
            "type": 23
        },
        {
            "icon": "http://api.twitter.com/users/profile_image/jimmy2134",
            "id": 675,
            "is_valid": true,
            "name": "jimmy2134",
            "native_id": "2345618660690",
            "type": 24
        }
    ],
    "success": true
}

XML Response Output

Example XML Request using CURL:

curl -H "Accept: application/xml" -X GET "http://customer.buzzient.com/api/v1/channels?apikey=<YOUR KEY>"

Example XML Request using Javascript:

$.ajax({
        'url':'/api/v1/channels',
        'type':'GET',
        'headers': {'Accept': 'application/xml'},
        'data':{
                'apikey':<YOUR KEY>,
                },
        'success':some_callback
        });

XML Response:

<?xml version="1.0" encoding="utf-8"?>
<response>
        <channels>
                <channel>
                        <name>Daily SAT Vocab</name>
                        <native_id>8312661226</native_id>
                        <is_valid>True</is_valid>
                        <type>23</type>
                        <id>70</id>
                        <icon>https://graph.facebook.com/8312661226/picture</icon>
                </channel>
                <channel>
                        <name>Jim Smith</name>
                        <native_id>1693789941</native_id>
                        <is_valid>True</is_valid>
                        <type>23</type>
                        <id>638</id>
                        <icon>https://graph.facebook.com/1693789941/picture</icon>
                </channel>
                <channel>
                        <name>jimmy2134</name>
                        <native_id>16063490</native_id>
                        <is_valid>True</is_valid>
                        <type>24</type>
                        <id>675</id>
                        <icon>http://api.twitter.com/users/profile_image/jimmy2134</icon>
                </channel>
        </channels>
        <success>True</success>
</response>

Data API Calls

List of Posts

Description: This call is for returning a list of posts for displaying within an application.

Endpoint: GET /api/v1/posts

Required Parameters:
  • apikey (string) The user’s apikey for authentication
Optional Parameters:
  • post_id (int) Specific Post ID

  • keyword_id (id) The ID of the keyword entity to return matching posts for

  • from (datetime) Timestamp to grab posts starting from

    in the format YYYY-MM-DD

  • since_id (int) Post ID from which to start from

  • author_id (id) Author ID to filter by

  • source_id (id) Source ID to filter by

  • page (int) Pagination, start with page 0

  • limit (int) Number of posts to return, Default is 10 posts, max is 50 posts

  • sort (string) sorting parameters
    • newest - (default) sort by newest posts
    • positive - sort by positive sentiment
    • negative - sort by negative sentiment
  • filter (string) filtering parameters
    • bookmarks - show only bookmarked posts
    • positive - show only positive sentiment posts
    • negative - show only negative sentiment posts
    • sourcetype - choose from twitter, facebook, rss, youtube, ios, android, forums
    • filter - :ref: ID of a defined filter entity <filter-entity>
Return Value:

Sample Call:

GET 'http://customer.buzzient.com/api/v1/posts

{
    "success": true,
    "posts": [
        {
            "author": {
                "connections": {
                    "followers": 71
                },
                "id": 724300,
                "location": "Unknown",
                "name": "LiveFromSanJose (San Jose News)",
                "native_id": "349516909",
                "profile_img": "http://a0.twimg.com/profile_images/1480336053/news_logo_normal.png",
                "source_id": 5506352
            },
            "content": "Bank of America Backs Off Fee Hike (NBC) http://t.co/54HIiRfy #News #SanJose",
            "id": 2362833,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139339950847045633",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331128207.0,
            "url": "http://twitter.com/LiveFromSanJose/statuses/139339950847045633"
        },
        {
            "author": {
                "connections": {
                    "followers": 51
                },
                "id": 1145844,
                "location": "Unknown",
                "name": "ItsButterflyyy (Butterflyflyfly)",
                "native_id": "352710824",
                "profile_img": "http://a0.twimg.com/profile_images/1526083465/29257_Martina_Arapovic_smallButterfly_normal.jpg",
                "source_id": 5506351
            },
            "content": "@BofA_Community worst customer service ever in Bank of America!Closed all my accs and I wasn't the only one! Shame on you!",
            "id": 2362836,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139339577184886784",
            "sentiment": -146.11500000000001,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331128118.0,
            "url": "http://twitter.com/ItsButterflyyy/statuses/139339577184886784"
        },
        {
            "author": {
                "connections": {
                    "followers": 594
                },
                "id": 98150,
                "location": "Unknown",
                "name": "ITbriefing (IT Briefing)",
                "native_id": "210911013",
                "profile_img": "http://a2.twimg.com/profile_images/1163971010/ITBriefing_logo_normal.JPG",
                "source_id": 5506351
            },
            "content": "EarthLink to Present at Bank of America Merrill Lynch 2011 Leveraged Finance Conference: ... http://t.co/qAKwGFSs - http://t.co/zLPiBIDh",
            "id": 2362837,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139339566829154304",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331128116.0,
            "url": "http://twitter.com/ITbriefing/statuses/139339566829154304"
        },
        {
            "author": {
                "connections": {
                    "followers": 3856
                },
                "id": 218157,
                "location": "Unknown",
                "name": "HealthyRemedy4U (Healthy Remedy 4 U)",
                "native_id": "238375183",
                "profile_img": "http://a1.twimg.com/profile_images/1644711102/black_seeds_cover_new12_normal.JPG",
                "source_id": 5506351
            },
            "content": "Bank of America online checking accounts: http://t.co/TAzrlnYR",
            "id": 2362838,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139339520922492929",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331128105.0,
            "url": "http://twitter.com/BlackSeedHealth/statuses/139339520922492929"
        },
        {
            "author": {
                "connections": {
                    "followers": 81
                },
                "id": 1145846,
                "location": "Unknown",
                "name": "cedarlaneashley (Ashley Lynn)",
                "native_id": "15680254",
                "profile_img": "http://a3.twimg.com/profile_images/1128992509/58317_471324005618_628980618_7123181_3463151_n_normal.jpg",
                "source_id": 5506351
            },
            "content": "bills paid. e-mail sent. about to call bank of america at 9. then off to work I go :)",
            "id": 2362839,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139339518460428288",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331128104.0,
            "url": "http://twitter.com/cedarlaneashley/statuses/139339518460428288"
        },
        {
            "author": {
                "connections": {
                    "followers": 124
                },
                "id": 59558,
                "location": "Unknown",
                "name": "EON_Manufacture (EON Manufacturing)",
                "native_id": "206227379",
                "profile_img": "http://a3.twimg.com/profile_images/1150157144/EONRSSicon2_reasonably_small_normal.png",
                "source_id": 5506351
            },
            "content": "Eaton to Participate in the Bank of America Merrill Lynch 2011 Industrials Conference December 7 http://t.co/BjfYTgRk",
            "id": 2362841,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139339202214100992",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331128029.0,
            "url": "http://twitter.com/EON_Manufacture/statuses/139339202214100992"
        },
        {
            "author": {
                "connections": {
                    "followers": 215
                },
                "id": 1145847,
                "location": "Unknown",
                "name": "BiishUmThiic (DADii'Z KWEEN (: )",
                "native_id": "190917391",
                "profile_img": "http://a2.twimg.com/profile_images/1618266568/image_normal.jpg",
                "source_id": 5506351
            },
            "content": "@Shuntrell_21 lmao,.. hell naw,.. i work wit bank of america,.. getn info & transferin calls & stuff,..",
            "id": 2362842,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139338973691641857",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331127974.0,
            "url": "http://twitter.com/BiishUmThiic/statuses/139338973691641857"
        },
        {
            "author": {
                "connections": {
                    "followers": 1066
                },
                "id": 704719,
                "location": "Unknown",
                "name": "ForTraders (4-traders.com)",
                "native_id": "102325185",
                "profile_img": "http://a2.twimg.com/profile_images/643561384/logo_twitter_normal.png",
                "source_id": 9108739
            },
            "content": "#EarthLink, Inc. : EarthLink to Present at Bank of America Merrill Lynch 2011 Leveraged Finance ConferenceEarthLink,... http://t.co/BIBh4j8c",
            "id": 2362843,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139338708859105280",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331127911.0,
            "url": "http://twitter.com/ForTraders/statuses/139338708859105280"
        },
        {
            "author": {
                "connections": {
                    "followers": 257
                },
                "id": 100772,
                "location": "Unknown",
                "name": "BW_Manufacturin (BW_Manufacturing)",
                "native_id": "208094322",
                "profile_img": "http://a0.twimg.com/profile_images/1153106290/bwpics_bigger_twitter_logo_normal.png",
                "source_id": 5506351
            },
            "content": "Eaton to Participate in the Bank of America Merrill Lynch 2011 Industrials Conference December 7 http://t.co/13VyXwLY",
            "id": 2362844,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139338410988023808",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331127840.0,
            "url": "http://twitter.com/BW_Manufacturin/statuses/139338410988023808"
        },
        {
            "author": {
                "connections": {
                    "followers": 15
                },
                "id": 1099866,
                "location": "Unknown",
                "name": "DirtyJerZ13 (Americo Ivan Soria)",
                "native_id": "392488503",
                "profile_img": "http://a1.twimg.com/profile_images/1642056518/anakin_normal.jpg",
                "source_id": 5506351
            },
            "content": "I'm at Bank of America (303 Central Ave, Zabriskie St, Jersey City) http://t.co/py36rXv7",
            "id": 2362845,
            "integrations": [
                {
                    "app_id": 3,
                    "app_type": "Oracle CRM OnDemand",
                    "element_id": "ADSA-EUS51Z",
                    "element_name": "Lead",
                    "element_type": 21
                },
                {
                    "app_id": 3,
                    "app_type": "Oracle CRM OnDemand",
                    "element_id": "ADSA-EUS518",
                    "element_name": "Contact",
                    "element_type": 3
                }
            ],
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139338329048088576",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506351,
                "name": "\"Bank Of America\" on Twitter",
                "type": 13
            },
            "timestamp": 1331127821.0,
            "url": "http://twitter.com/DirtyJerZ13/statuses/139338329048088576"
        }
    ]
}

Posts for a Specific Keyword

Description: This call is for returning a list of posts by a specific keyword for displaying within an application.

Endpoint: GET /api/v1/posts?keyword_id=<keyword_id>

Required Parameters:
  • apikey (string) The user’s apikey for authentication
  • keyword_id (id) Specific Buzzient Keyword ID to filter by

Optional Parameters:

Return Value:

Sample Call:

GET 'http://customer.buzzient.com/api/v1/posts?keyword_id=2

{
    "success": true,
    "posts": [
        {
            "author": {
                "id": 1715260,
                "location": "Unknown",
                "name": "Judy Magee",
                "native_id": "1464379309",
                "profile_img": "http://graph.facebook.com/1464379309/picture",
                "source_id": 3987929
            },
            "content": "OMG, I overslept and am late for dentist app't. Good morning to all and have a good day. cafe world friends will see u in a bit hopefully will be able to send gifts this a.m. if everything works for a change. New goals again to wake up to - yeah!!!!!",
            "id": 5176053,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "1464379309_2852795846724",
            "sentiment": 0.32663199999999998,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331215299.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=2852795846724&id=1464379309"
        },
        {
            "author": {
                "id": 2037736,
                "location": "Unknown",
                "name": "Pat Snay",
                "native_id": "100000434393561",
                "profile_img": "http://graph.facebook.com/100000434393561/picture",
                "source_id": 3987929
            },
            "content": "seems like the only thing I can do this morning is help all my friends get what they need for cafe world,mbeen trying for over an hour to get in maybe soon",
            "id": 5176058,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "100000434393561_375955489095594",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331215602.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=375955489095594&id=100000434393561"
        },
        {
            "author": {
                "id": 2064499,
                "location": "Unknown",
                "name": "Lillie Teel",
                "native_id": "100003476335492",
                "profile_img": "http://graph.facebook.com/100003476335492/picture",
                "source_id": 3987929
            },
            "content": "Where do you find the Coffee pot in cafe world?",
            "id": 5176062,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "100003476335492_131388100320400",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331217706.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=131388100320400&id=100003476335492"
        },
        {
            "author": {
                "id": 2051158,
                "location": "Unknown",
                "name": "Yodha VanClan",
                "native_id": "100002366469082",
                "profile_img": "http://graph.facebook.com/100002366469082/picture",
                "source_id": 3987929
            },
            "content": "Cafe World friends can I please have some help on the requests posts that I published about 10 to 15 minutes ago - thank you :)",
            "id": 5176069,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "100002366469082_250828318339382",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331218011.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=250828318339382&id=100002366469082"
        },
        {
            "author": {
                "id": 2048232,
                "location": "Unknown",
                "name": "Karen Rhodes Clark",
                "native_id": "100001058207554",
                "profile_img": "http://graph.facebook.com/100001058207554/picture",
                "source_id": 3987929
            },
            "content": "Please for my neighbors that are not playing cafe world would you let me know so I will stop sending game request to you thank you so very much...",
            "id": 5176071,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "100001058207554_349309818447622",
            "sentiment": -96.683000000000007,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331219032.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=349309818447622&id=100001058207554"
        },
        {
            "author": {
                "id": 2067315,
                "location": "Unknown",
                "name": "YaJuvendra VaLa",
                "native_id": "1401587199",
                "profile_img": "http://graph.facebook.com/1401587199/picture",
                "source_id": 3987929
            },
            "content": "If I get another invite for farmville, I'm going to get my friends in Mafia Wars to shoot your animals and send the meat to Cafe World!",
            "id": 5176074,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "1401587199_3005804789759",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331219062.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=3005804789759&id=1401587199"
        },
        {
            "author": {
                "id": 2042027,
                "location": "Unknown",
                "name": "Lynne Downard",
                "native_id": "534788372",
                "profile_img": "http://graph.facebook.com/534788372/picture",
                "source_id": 3987929
            },
            "content": "To all my Cafe World friends & Adventure World friends - I will no longer be taking an interest in these apps. I've just had enough! Good luck to all of you with your goals & quests. I'll be around , so \"play on\"!  All the best to you!",
            "id": 5176075,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "534788372_10150715239883373",
            "sentiment": 1.37296,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331219601.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=10150715239883373&id=534788372"
        },
        {
            "author": {
                "id": 2067316,
                "location": "Unknown",
                "name": "Rose Bush Morris",
                "native_id": "100002912058706",
                "profile_img": "http://graph.facebook.com/100002912058706/picture",
                "source_id": 3987929
            },
            "content": "ok.. y is that for the last 3 day's i send request back in cafe world to all and it come up that it is a bad request  is any one having this happeing to them.. i just going to scram...",
            "id": 5176076,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "100002912058706_204772319629835",
            "sentiment": -4.38117,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331219864.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=204772319629835&id=100002912058706"
        },
        {
            "author": {
                "id": 2048224,
                "location": "Unknown",
                "name": "Cheryl Abernathy",
                "native_id": "1468402369",
                "profile_img": "http://graph.facebook.com/1468402369/picture",
                "source_id": 3987929
            },
            "content": "TO All my Cafe World Friends..please..i am asking for Pumpkin Lasagnas need 40 of them please to finish grandma's paris goals\ni wouldn't ask but they take to long to cook\nand she has 3 hours\nand she is out of spices\nso please help..lol",
            "id": 5176085,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "1468402369_2734161841082",
            "sentiment": 0.32663199999999998,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331221881.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=2734161841082&id=1468402369"
        },
        {
            "author": {
                "id": 1790762,
                "location": "Unknown",
                "name": "Vesta Harvey",
                "native_id": "1670739154",
                "profile_img": "http://graph.facebook.com/1670739154/picture",
                "source_id": 3987929
            },
            "content": "Cafe World friends have any of you received the Paris stoves yet. Are yours small, mine are a lot smaller than my other stoves.",
            "id": 5176086,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "1670739154_2623903691442",
            "sentiment": 0.0,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                "id": 3987929,
                "name": "\"Cafe World\" on Facebook",
                "type": 20
            },
            "timestamp": 1331221712.0,
            "url": "http://www.facebook.com/permalink.php?story_fbid=2623903691442&id=1670739154"
        }
    ]
}

Specific Posts

Description: This call is for returning a single post for display within an application.

Endpoint: GET /api/v1/posts?post_id=<post_id>

Required Parameters:
  • apikey (string) The user’s apikey for authentication
  • post_id (int) Specific Buzzient Post ID
Return Value:

Sample Call:

GET 'http://customer.buzzient.com/api/v1/posts?post_id=2359021

{
    "success": true,
    "posts": [
        {
            "author": {
                "connections": {
                    "followers": 52
                },
                "id": 1144198,
                "location": "Unknown",
                "name": "nicolette_m24 (Nicolette Martin)",
                "native_id": "212243162",
                "profile_img": "http://a0.twimg.com/profile_images/1478655878/Photo_on_2011-07-29_at_00.38_normal.jpg",
                "source_id": 5506339
            },
            "content": "Cool wells fargo. Thanks for sending a payment that didn't need to go. I have $8 for the next week and a half",
            "id": 2359021,
            "is_bookmarked": false,
            "keyword_id": 3,
            "keyword_type": 0,
            "language": 1,
            "native_id": "139092632658919424",
            "sentiment": 309.71300000000002,
            "source": {
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "id": 5506339,
                "name": "\"Wells Fargo\" on Twitter",
                "type": 13
            },
            "timestamp": 1331069242.0,
            "url": "http://twitter.com/nicolette_m24/statuses/139092632658919424"
        }
    ]
}

Posts by an Author

Description: This call is for returning a list of posts by a specific author for displaying within an application.

Endpoint: GET /api/v1/posts?author_id=<author_id>

Required Parameters:
  • apikey (string) The user’s apikey for authentication
  • author_id (id) Specific Buzzient Author ID to filter by

Optional Parameters:

Return Value:

Sample Call:

GET http://customer.buzzient.com/api/v1/posts?author_id=2558

{
  "success": true,
  "posts": [
        {
            "author": {
                "connections": {
                    "followers": 507
                },
                "id": 2558,
                "location": "St. Louis, MO",
                "name": "Mike_Chadwick (Michael Chadwick)",
                "native_id": "70968139",
                "profile_img": "http://a1.twimg.com/profile_images/1440856356/photo_normal.JPG",
                "source_id": 10106625
            },
            "content": "Starwood Adds Groundbreaking New Benefits to Loyalty Program http://t.co/NLPYYUjT #hotel",
            "id": 4493,
            "integrations": [
                      {
                        "app_id": 3,
                        "app_type": "Oracle CRM OnDemand",
                        "element_id": "AAPA-565MSN",
                        "element_name": "Service Request",
                        "element_type": 22
                     },
                     {
                        "app_id": 3,
                        "app_type": "Oracle CRM OnDemand",
                        "element_id": "ADSA-5N2321",
                        "element_name": "Contact",
                        "element_type": 3
                     }],
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "165135247573385216",
            "sentiment": 0.0,
            "source": {
                "id": 10106621,
                "name": "\"Starwood\" on Twitter",
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png",
                "type": 13
            },
            "timestamp": 1328206285.0,
            "url": "http://twitter.com/Mike_Chadwick/statuses/165135247573385216"
        },
        {
            "author": { .. } ,
            "content": "Starwood Owners Address Outlook for North American Hotel Market http://t.co/wyGKswp6 #hotel",
            "id": 7952,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "167290363952898048",
            "sentiment": 0.0,
            "source": { .. } ,
            "timestamp": 1328720105.0,
            "url": "http://twitter.com/Mike_Chadwick/statuses/167290363952898048"
        },
        {
            "author": { .. } ,
            "content": "Starwood Unveils First of Three St. Regis Hotels in the Middle East This Year with the Debut of the St. Regis... http://t.co/dWtoxc4C #Hotel",
            "id": 14819,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "169815751694352384",
            "sentiment": 0.0,
            "source": { .. } ,
            "timestamp": 1329322204.0,
            "url": "http://twitter.com/Mike_Chadwick/statuses/169815751694352384"
        },
        {
            "author": { .. } ,
            "content": "Starwood Unveils the Amazing St. Regis Saadiyat Island Resort, Abu Dhabi http://t.co/j7Buclz3 #hotel",
            "id": 14891,
            "is_bookmarked": true,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "169827570840375297",
            "sentiment": 132.1,
            "source": { .. } ,
            "timestamp": 1329325022.0,
            "url": "http://twitter.com/Mike_Chadwick/statuses/169827570840375297"
        },
        {
            "author": { .. } ,
            "content": "Starwood To Offer Meeting Planners More Brand And Venue Choices In Bali With Three New Hotels In 2012 http://t.co/iaGRTlti #Hotel",
            "id": 19968,
            "is_bookmarked": false,
            "keyword_id": 1,
            "keyword_type": 0,
            "language": 1,
            "native_id": "171596195251240960",
            "sentiment": 0.0,
            "source": { .. } ,
            "timestamp": 1329746695.0,
            "url": "http://twitter.com/Mike_Chadwick/statuses/171596195251240960"
        }
    ]
}

Posts by a Source

Description: This call is for returning a list of posts from a specific source for displaying within an application.

Endpoint: GET /api/v1/posts?source_id=<source_id>

Required Parameters:
  • apikey (string) The user’s apikey for authentication
  • source_id (int) Sepcific Buzzient Source ID to filter by
Optional Parameters:
  • Same as standard Post Query parameters above
Return Value:

Sample Call:

 GET 'http://customer.buzzient.com/api/v1/posts?source_id=3987929'

 {
     "posts": [
         {
             "author": {
                 "id": 1715260,
                 "location": "Unknown",
                 "name": "Judy Magee",
                 "native_id": "1464379309",
                 "profile_img": "http://graph.facebook.com/1464379309/picture",
                 "source_id": 3987929
             },
             "content": "OMG, I overslept and am late for dentist app't. Good morning to all and have a good day. cafe world friends will see u in a bit hopefully will be able to send gifts this a.m. if everything works for a change. New goals again to wake up to - yeah!!!!!",
             "id": 5176053,
             "is_bookmarked": false,
             "keyword_id": 1,
             "keyword_type": 0,
             "language": 1,
             "native_id": "1464379309_2852795846724",
             "sentiment": 0.32663199999999998,
             "source": {
                 "icon": "http://customer.buzzient.com/buzzient/images/facebook.png",
                 "id": 3987929,
                 "name": "\"Cafe World\" on Facebook",
                 "type": 20
             },
             "timestamp": 1331215299.0,
             "url": "http://www.facebook.com/permalink.php?story_fbid=2852795846724&id=1464379309"
         },
         {
             "author": {
                 "id": 2037736,
                 "location": "Unknown",
                 "name": "Pat Snay",
                 "native_id": "100000434393561",
                 "profile_img": "http://graph.facebook.com/100000434393561/picture",
                 "source_id": 3987929
             },
             "content": "seems like the only thing I can do this morning is help all my friends get what they need for cafe world,mbeen trying for over an hour to get in maybe soon",
             "id": 5176058,
             "is_bookmarked": false,
             "keyword_id": 1,
             "keyword_type": 0,
             "language": 1,
             "native_id": "100000434393561_375955489095594",
             "sentiment": 0.0,
             "source": {...},
             "timestamp": 1331215602.0,
             "url": "http://www.facebook.com/permalink.php?story_fbid=375955489095594&id=100000434393561"
         },
         {
             "author": {
                 "id": 2064499,
                 "location": "Unknown",
                 "name": "Lillie Teel",
                 "native_id": "100003476335492",
                 "profile_img": "http://graph.facebook.com/100003476335492/picture",
                 "source_id": 3987929
             },
             "content": "Where do you find the Coffee pot in cafe world?",
             "id": 5176062,
             "is_bookmarked": false,
             "keyword_id": 1,
             "keyword_type": 0,
             "language": 1,
             "native_id": "100003476335492_131388100320400",
             "sentiment": 0.0,
             "source": {...},
             "timestamp": 1331217706.0,
             "url": "http://www.facebook.com/permalink.php?story_fbid=131388100320400&id=100003476335492"
         },
         {
             "author": {
                 "id": 2051158,
                 "location": "Unknown",
                 "name": "Yodha VanClan",
                 "native_id": "100002366469082",
                 "profile_img": "http://graph.facebook.com/100002366469082/picture",
                 "source_id": 3987929
             },
             "content": "Cafe World friends can I please have some help on the requests posts that I published about 10 to 15 minutes ago - thank you :)",
             "id": 5176069,
             "is_bookmarked": false,
             "keyword_id": 1,
             "keyword_type": 0,
             "language": 1,
             "native_id": "100002366469082_250828318339382",
             "sentiment": 0.0,
             "source": {...},
             "timestamp": 1331218011.0,
             "url": "http://www.facebook.com/permalink.php?story_fbid=250828318339382&id=100002366469082"
         },
         {
             "author": {
                 "id": 2048232,
                 "location": "Unknown",
                 "name": "Karen Rhodes Clark",
                 "native_id": "100001058207554",
                 "profile_img": "http://graph.facebook.com/100001058207554/picture",
                 "source_id": 3987929
             },
             "content": "Please for my neighbors that are not playing cafe world would you let me know so I will stop sending game request to you thank you so very much...",
             "id": 5176071,
             "is_bookmarked": false,
             "keyword_id": 1,
             "keyword_type": 0,
             "language": 1,
             "native_id": "100001058207554_349309818447622",
             "sentiment": -96.683000000000007,
             "source": {...},
             "timestamp": 1331219032.0,
             "url": "http://www.facebook.com/permalink.php?story_fbid=349309818447622&id=100001058207554"
         },
         {
             "author": {
                 "id": 2067315,
                 "location": "Unknown",
                 "name": "YaJuvendra VaLa",
                 "native_id": "1401587199",
                 "profile_img": "http://graph.facebook.com/1401587199/picture",
                 "source_id": 3987929
             },
             "content": "If I get another invite for farmville, I'm going to get my friends in Mafia Wars to shoot your animals and send the meat to Cafe World!",
             "id": 5176074,
             "is_bookmarked": false,
             "keyword_id": 1,
             "keyword_type": 0,
             "language": 1,
             "native_id": "1401587199_3005804789759",
             "sentiment": 0.0,
             "source": {...},
             "timestamp": 1331219062.0,
             "url": "http://www.facebook.com/permalink.php?story_fbid=3005804789759&id=1401587199"
         },
         {
             "author": {
                 "id": 2042027,
                 "location": "Unknown",
                 "name": "Lynne Downard",
                 "native_id": "534788372",
                 "profile_img": "http://graph.facebook.com/534788372/picture",
                 "source_id": 3987929
             },
             "content": "To all my Cafe World friends & Adventure World friends - I will no longer be taking an interest in these apps. I've just had enough! Good luck to all of you with your goals & quests. I'll be around , so \"play on\"!  All the best to you!",
             "id": 5176075,
             "is_bookmarked": false,
             "keyword_id": 1,
             "keyword_type": 0,
             "language": 1,
             "native_id": "534788372_10150715239883373",
             "sentiment": 1.37296,
             "source": {...},
             "timestamp": 1331219601.0,
             "url": "http://www.facebook.com/permalink.php?story_fbid=10150715239883373&id=534788372"
         }
    ]
}

A Single Author

Description: This call is for returning a single Author

Endpoint: GET /api/v1/authors/<author_id>

Required Parameters:
  • apikey (string) The user’s apikey for authentication
  • author_id (int) A Buzzient ID representing an author
Return Value:

Sample Call:

GET http://customer.buzzient.com/api/v1/authors/11

{
        "success": true,
        "author": {
                "id": 11,
                "name": "Sean Michael Bips Helmsbriscoe",
                "connections": {
                                "friends": 352
                               },
                "source_id": 10106619,
                "native_id": "100002745601485",
                "profile_img": "http://graph.facebook.com/100002745601485/picture",
                "location": "Unknown"
                }
 }

A Single Source

Description: This call is for returning a single Source

Endpoint: GET /api/v1/sources/<source_id>

Required Parameters:
  • apikey (string) The user’s apikey for authentication
  • source_id (int) A Buzzient ID representing a source
Return Value:

Sample Call:

GET http://customer.buzzient.com/api/v1/sources/10106621

{
        "success": true,
        "source": {
                "id": 10106621,
                "name": "\"Starwood\" on Twitter",
                "type": 13,
                "icon": "http://customer.buzzient.com/buzzient/images/twitter.png"
                }
}

List of Keywords

Description: This call is for returning a list of Keywords configured by a user

Endpoint: GET /api/v1/keywords

Required Parameters:
  • apikey (string) The user’s apikey for authentication
Return Value:

Sample Call:

GET "http://customer.buzzient.com/api/v1/keywords

{
    "success": true,
    "keywords": [
        {
            "id": 1,
            "keyword": "Williams-Sonoma",
            "subkeywords": [
                {
                    "id": 43,
                    "keyword": "registry"
                },
                {
                    "id": 44,
                    "keyword": "cookware"
                },
                {
                    "id": 45,
                    "keyword": "cooks tools"
                },
                {
                    "id": 46,
                    "keyword": "cutlery",
                    "synonyms": [
                        "knives"
                    ]
                },
                {
                    "id": 47,
                    "keyword": "kitchen"
                }
            ],
            "synonyms": [
                "williams sonoma",
                "williamssonoma"
            ]
        },
        {
            "displaystring": "Williams-Sonoma Home",
            "id": 2,
            "keyword": "williams-sonoma home",
            "subkeywords": [
                {
                    "id": 53,
                    "keyword": "registry"
                },
                {
                    "id": 54,
                    "keyword": "cookware"
                },
                {
                    "id": 55,
                    "keyword": "cooks tools"
                },
                {
                    "id": 56,
                    "keyword": "cutlery",
                    "synonyms": [
                        "knives"
                    ]
                },
                {
                    "id": 57,
                    "keyword": "kitchen"
                }
            ],
            "synonyms": [
                "williams sonoma home",
                "williamssonomahome"
            ]
        },
        {
            "id": 3,
            "keyword": "pottery barn",
            "subkeywords": [
                {
                    "id": 153,
                    "keyword": "furniture"
                },
                {
                    "id": 154,
                    "keyword": "furniture outdoor",
                    "synonyms": [
                        "outdoor furniture"
                    ]
                },
                {
                    "id": 158,
                    "keyword": "lighting"
                },
                {
                    "id": 159,
                    "keyword": "pillows"
                },
                {
                    "id": 160,
                    "keyword": "table"
                },
                {
                    "id": 516,
                    "keyword": "delivery timelines",
                    "synonyms": [
                        "delivery timeline",
                        "delivery delay",
                        "delayed",
                        "delivery problem",
                        "delivery issue",
                        "delivery wait"
                    ]
                },
                {
                    "id": 517,
                    "keyword": "shipping charges",
                    "synonyms": [
                        "shipping charge"
                    ]
                },
                {
                    "id": 518,
                    "keyword": "product quality",
                    "synonyms": [
                        "good product",
                        "good quality",
                        "bad product",
                        "bad quality",
                        "expensive product",
                        "cheap quality",
                        "poor quality"
                    ]
                }
            ],
            "synonyms": [
                "potterybarn"
            ]
        }
     ]
}

A Single Keyword

Description: This call is for returning a single of Keyword configured by a user

Endpoint: GET /api/v1/keywords/<keyword-id or keyword-string>

Required Parameters:
  • apikey (string) The user’s apikey for authentication
  • keyword-id (integer or string) Buzzient ID of the keyword or the keyword itself
Return Value:

Sample Call:

GET http://customer.buzzient.com/api/v1/keywords/1

{
  "success": true,
  "keywords": [
          {
              "id": 1,
              "keyword": "cafe world",
              "subkeywords": [
                  {
                      "id": 3,
                      "keyword": "cheat codes"
                  },
                  {
                      "id": 4,
                      "keyword": "hacks"
                  },
                  {
                      "id": 5,
                      "keyword": "exploit"
                  }
              ],
              "synonyms": [
                  "cafeworld"
              ]
          }
      ]
 }

List of Filters

Description: This call is for returning a list of Filters configured by a user

Endpoint: GET /api/v1/filters

Required Parameters:
  • apikey (string) The user’s apikey for authentication
Return Value:

Sample Call:

GET http://customer.buzzient.com/api/v1/filters

A Single Filter

Description: This call is for returning a single Filter configured by a user

Endpoint: GET /api/v1/filters/<filter-id>

Required Parameters:
  • apikey (string) The user’s apikey for authentication
  • filter-id (int) A Buzzient ID representing a filter
Return Value:

Sample Call:

GET http://customer.buzzient.com/api/v1/filters/9

{
    "filters": [
        {
            "id": 9,
            "name": "Love Posts",
            "description": "This displays posts with Very Positive Sentiment (Greater than 50) and with Keyword ID 28 and matching the keyword \'Love\'",
            "active": true
        }
    ],
    "success": true
}

Engagement API Calls

List of Channels

Description: This call is for returning a list of Channels configured by a user

Endpoint: GET /api/v1/channels

Required Parameters:
  • apikey (string) The user’s apikey for authentication
Return Value:

Sample Call:

GET http://customer.buzzient.com/api/v1/channels

{
    "success": true,
    "channels": [
        {
            "id": 557,
            "is_valid": true,
            "name": "shawnjohn1341",
            "native_id": "2132690",
            "type": 24
            "icon": "http://api.twitter.com/users/profile_image/shawnjohn1341",
        },
        {
            "id": 70,
            "is_valid": true,
            "name": "Daily SAT Vocab",
            "native_id": "107231231226",
            "type": 23
            "icon": "https://graph.facebook.com/107231231226/picture",
        },
        {
            "id": 224,
            "is_valid": true,
            "name": "CoffeeVille",
            "native_id": "292236756756727",
            "type": 23
            "icon": "https://graph.facebook.com/292236756756727/picture",
        }
}

Reply to a Post

Description: This call is for posting a reply to a specific post

Endpoint: POST /api/v1/reply/

Required Parameters:
  • apikey (string) The user’s apikey for authentication

  • message (string) The text of the outbound post

  • in_reply_to (int) the ID of the post <post-entity> to reply to

  • is_dm (int) if 1 then will send a Twitter Direct Message, if 0 then it will be a regular reply

  • channel_id (int) the ID of Social Media channel <channel-entity> replying from

  • integration_id (string) the ID of the integration element associated with this post

    e.g. the Service Request ID of the post

Return Value:
  • A data entity with a url key that points to the reply just made

Sample Call:

POST http://customer.buzzient.com/api/v1/reply

POST Data 'in_reply_to=3249058&message=Where%20can%20I%20find%20the%20best%20pizza%20in%20Boston&is_dm=0&channel_id=1'

{
    "url": "https://twitter.com/#!/RearAdBsBlog/status/178257700919050240",
    "success": true
}

Publish a Post

Description: This call is for publishing to a specific Facebook Account or Twitter Handle

Endpoint: POST /api/v1/publish/

Required Parameters:
  • apikey (string) The user’s apikey for authentication
  • message (string) The text of the outbound post
  • channel_id (int) the ID of Social Media channel <channel-entity> posting from
Return Value:
  • A data entity with a post key that has the URL and native_id of the post published

Sample Call:

POST http://customer.buzzient.com/api/v1/publish

POST Data 'message=Really love working with the new Buzzient API&channel_id=1'

{
    "success": true,
    "post": {
        "channels": [
            {
                "icon": "https://graph.facebook.com/114545453652/picture",
                "id": 1,
                "is_valid": true,
                "name": "Jack Smith",
                "native_id": "113654654652_144548199342",
                "type": 23,
                "url": "http://www.facebook.com/permalink.php?story_fbid=555558199342&id=114365656752"
            }
        ],
        "is_posted": true,
        "message": "Really love working with the new Buzzient API"
    }
}

Data Structures

Data Entity

All API calls return a data entity. A data entity signifies whether the call was successful. It also optionally contains other entities, as noted specifically in each API call.

Values:
  • success (boolean) Whether the call succeeded or failed
  • message (string) if the call failed, a message attribute will exist containing the reason for the error

Post Entity

A Post entity contains all the information about a particular social media post needed for displaying the post and any information about it. Data includes the text, the link to the original post, the time it was posted, and information about the author, source and other posts in the conversation. Each post entity will contain other entities associated with it an Author Entity, a Source Entity, a Keyword Entity and optionally a Conversation Entity. These entities provide more context for the post and information about them should be displayed along with the source post.

Values:
  • id (int) ID of the Post, unique across all posts, assigned by Buzzient

  • native_id (string) ID of the post native to its original source application. e.g. Twitter’s unique ID, Facebooks unique ID

  • timestamp (datetime) Timestamp of the post in UTC time in the POSIX Epoch timestamp format. The timestamp references

    the time of creation on its original social network

  • url (string) URL of the original post

  • content (string) Full text of the original post. this may contain unicode characters

  • keyword_id (int) Buzzient ID of the Keyword Entity

  • keyword_type (int) If 0, a top level Keyword Entity, if 1 its a sub-keyword Keyword Entity

  • sentiment (float) Value of Sentiment for a post, ranges from -500 to +500

  • is_bookmarked (boolean) Returns True or False if it has been bookmarked

  • language (int) Language ID, Currently only English (ID=1 ) Supported

  • author (entity) An Author Entity contains information about the

    author of the social media post

  • source (entity) A Source Entity contains information about the particular

    source that the post was taken from

  • conversation (entity) A Conversation Entity contains a list of

    Post Entities that are part of the conversation thread (if such a thread exists)

  • integration (entity) An Integration Entity gives information about linkages

    to objects within a third party application e.g. if the post is associated with a Case

Author Entity

An Author entity contains information about a particular social media author including the name, author profile image, author profile link, number of friends or followers, location given and optionally any information about a linkage to third party application object, most likely a Contact object.

Values:
  • id (int) ID of the Author, unique across all authors, assigned by Buzzient

  • native_id (string) ID of the author native to its original source application. e.g. Twitter’s unique ID, Facebooks unique ID

  • name (string) Name of the Author on the Social Media source, may contain unicode

  • url (string) URL of the Authors profile, if available

  • connections (int) Number of connections of the author (e.g. Twitter Followers, Facebook Friends)

  • location (string) Location given by the author on their Social Network

  • profile_img (string) URL to the author’s profile image

  • source_id (int) Buzzient ID referencing a A Source Entity

  • integration (entity) An Integration Entity gives information about linkages

    to objects within a third party application e.g. if the Author is associated with a Contact

Source Entity

A Source entity contains information about a particular social media source that posts were harvested from. Data includes the name of the source, the url, and an icon representing the source and a type ID.

Values:
  • id (int) ID of the Source, unique across all Sources, assigned by Buzzient
  • name (string) Name of the Social Media source, may contain unicode
  • url (string) URL of the Social Media Source
  • icon (string) link to an icon representing this source
  • type (int) ID of this particular source type, these are constants defined by Buzzient

Keyword Entity

A Keyword entity contains information about a particular keyword that is used to harvest social media data. Keywords are configured within the Buzzient application and are used as exact string matches to harvest and filter the returned data set. A keyword can be multi-word in length and has a max of 30 characters. Keywords can have synonyms associated with them which groups posts under the same keyword entity. Keywords can also have subkeywords. A top level keyword is used by the harvesters to search for posts. When posts are captured, they can be filtered further by sub-keywords, allowing greater granularity in the data. Top level keywords are often referred to as Brands and sub-keywords are often referred to as Products.

Values:
  • id (int) ID of the Keyword, unique across all Keywords, assigned by Buzzient
  • keyword (string) the Keyword itself, may contain unicode
  • synonyms (list) a list of strings that are configured as synonyms with this keyword
  • subkeywords (list) a list of subkeywords for this keyword. a subkeyword consists of an id, name and a list of synonyms

Conversation Entity

A Conversation entity contains a list of posts that are in conversation with each other. These posts are linked by a common parent ID that is in all Post entities. The Post entities returned here have the same Source as its parent post and will not contain nested Source or Conversation entitities.

Values:
  • posts (List of Entities) contains a list of Post entities that are in reply to this post.

Integration Entity

An Integration entity represents a link to a third party application. A Post or Author with an integration entity has a corresponding record in an application outside of Buzzient.

Values:
  • app_id (int) - Buzzient ID of the third party application
  • app_str (string) - Name of the the third party application, assigned by Buzzient, e.g. Siebel, Salesforce, Infor
  • element_id (string) - ID of the element within the third party application
  • element_name (string) - Type of element its linking too, e.g. Lead, Contact, Case, Service Request
  • element_type (int) - Buzzient ID referencing Type of element its linking too

Filter Entity

A Filter entity is a filter that is currently defined within the Buzzient application to filter posts by certain sentiment, keywords and other criteria. The ID of these entities can be passed to the Post lookup endpoint to return a filtered data set. There is no API call to create Filters at this time and must be done via the Buzzient application.

Values:
  • id (int) ID of the Filter, unique across all Filters, assigned by Buzzient
  • name (string) Name of the Filter
  • description (string) High Level description of what the Filter represents

Channel Entity

A Channel Entity represents an authorized Social Media account that can be used to make outbound replies to a social media post. Currently Social Media accounts must be authorized within the Buzzient application in order to reply from them. Buzzient handles the storage of access tokens and Channel tokens can become invalidated and the is_valid field reflects that. Different Social Media channels handle it differently. For instance Facebook and Twitter tokens become invaidated if the account owner revokes access to the parent application. Facebook tokens also become invalid if the user changes their password.

Values:
  • id (int) ID of the Channel, unique across all Channels, assigned by Buzzient
  • channel_name (string) Name or Handle of the Social Media User
  • channel_type (int) ID of the channel type, must correspond to the the type field in a Source entity
  • channel_icon (string) URL of an image of the user
  • channel_desc (string) Name of the Channel (Facebook, Twitter)
  • is_valid (boolean) returns True if the tokens are still valid. False if they have become invalidated.